#ifndef Phantom_h
#define Phantom_h

#ifdef PHANTOM_ENABLED

#include <HL/hl.h>
#include <HDU/hduError.h>

class Phantom {
public:
     Phantom();
     virtual ~Phantom();

     bool Init();
     void Update();
     void GetPosition(double* pos);
	 void GetDevicePosition(double* pos);	// Device position for collision detection
protected:
	HHD hHD;
    HHLRC hHLRC;
};

#endif

#endif