//SoundEntity.cpp

#include "SoundEntity.h"

SoundEntity::SoundEntity () {
	//
}

SoundEntity::SoundEntity (int uid, unsigned int clr, 
			float x, float y, float z, 
			int triggered, char* name, 
			float volume, float cutoff, float radius, char* fileName) {
  position[0] = x;
  position[1] = y;
  position[2] = z;
  this->triggered = triggered != 0;
  this->volume = volume;
  this->cutoff = cutoff;
  this->radius = radius;
  this->filename = fileName;
  this->uid = uid;
  this->color = clr;
  name = name;

  source = new Channel3D(filename.c_str(), (uid>0 ? FSOUND_LOOP_NORMAL : 0));
//  source->addReference();
  source->start();
  source->setLooping(true);
  source->setPosition(position[0], position[1], position[2]);
  source->setVolume(volume);
}

//////////////////////////////////////////////////////////////////////

/*SoundEntity& SoundEntity::operator = (SoundEntity* b) {
	uid = b->uid;
	color = b->color;
	name = b->name;
	position[0] = b->position[0];
	position[1] = b->position[1];
	position[2] = b->position[2];
	triggered = b->triggered;
	volume = b->volume;
	cutoff = b->cutoff;
	radius = b->radius;
	filename = b->filename;
	return *this;
}*/

//////////////////////////////////////////////////////////////////////