//SoundEntity.h

#ifndef SoundEntity_h
#define SoundEntity_h

#include "MazeResource.h"
#include <string>
#include "sound.h"

class SoundEntity : public MazeResource {
public:
  SoundEntity();
  ~SoundEntity() {
    printf("deleting SoundEntity %s (%x)\n", filename.c_str(), this);
//    source->removeReference();
    delete source;
  }
  SoundEntity(int id, unsigned int color, float x, float y, float z, int triggered, char* name, float volume, float cutoff, float radius, char* fileName);
 
  Channel3D * source;
  double position[3];
  bool triggered;
  double volume, cutoff, radius;
  std::string filename;

  //SoundEntity& operator= (SoundEntity* a);
};

#endif