//////////////////////////////////////////////////////////////////////

#include "inputSystem.h"

//////////////////////////////////////////////////////////////////////

bool keys[256];
float mouseX;
float mouseY;
float mouseZ;

//////////////////////////////////////////////////////////////////////

void keyPressEvent(int key) {
  if ((key >= 0) && (key < 256)) {
    keys[key] = true;
//    postEvent(new TJInputEvent(key, true));
  }
}

//////////////////////////////////////////////////////////////////////

void keyReleaseEvent(int key) {
  if ((key >= 0) && (key < 256)) {
    keys[key] = false;
//    postEvent(new TJInputEvent(key, false));
  }
}

//////////////////////////////////////////////////////////////////////

bool keyGetState(int key) {
  if ((key >= 0) && (key < 256)) return keys[key];
  return false;
}

//////////////////////////////////////////////////////////////////////

bool keyTriggered(int key) {
  if ((key >= 0) && (key < 256)) {
    bool temp = keys[key];
    keys[key] = false;
    return temp;
  }
  return false;
}

//////////////////////////////////////////////////////////////////////
