//////////////////////////////////////////////////////////////////////

#ifndef JLISTS_H
#define JLISTS_H

//////////////////////////////////////////////////////////////////////

#include "jstring.h"

//////////////////////////////////////////////////////////////////////

struct SStringNode {
  char * data;
  struct SStringNode * next;
};

typedef struct SStringNode TStringNode;

//////////////////////////////////////////////////////////////////////

class TStringList {
public:
  int IndexOf(char * st);
  int Count(void);
  void Add(char * st);
  char * Items(int index);
  TStringList(void);
  ~TStringList(void);
private:
  TStringNode * head;
};

//////////////////////////////////////////////////////////////////////

struct SListNode {
  void * data;
  struct SListNode * next;
};
typedef struct SListNode TListNode;


class TList {
public:
  int Count(void);
  void * Items(int index);
  void Add(void * item);
  TList(void);
  ~TList(void);
private:
  TListNode * head;
};

//////////////////////////////////////////////////////////////////////

#endif

//////////////////////////////////////////////////////////////////////
