//////////////////////////////////////////////////////////////////////

#ifndef JSTRING_H
#define JSTRING_H

//////////////////////////////////////////////////////////////////////

#include "system.h"

//////////////////////////////////////////////////////////////////////

void j_stringCopy(const char * source, char * dest, int maxLength);
void j_stringFill(char * target, char filler, int numToWrite);
void j_stringCombine(const char * s1, const char * s2, char * dest, 
                     int maxLength);
void j_stringInsert(const char * source, const char * istring, 
                    char * dest, int ipoint, int maxLength);
int j_stringCompare(const char * string1, const char * string2, 
                    bool caseSensitive, int maxLength);
int j_stringLength(const char * string1);

//////////////////////////////////////////////////////////////////////

class TJDumbString {
public:
  char buffer[2048];
  
};

class TJString {
private:
  char * buffer;
  int length;
public:
  TJString(const char * source);
  void append(const char * st);
};

//////////////////////////////////////////////////////////////////////

#endif

//////////////////////////////////////////////////////////////////////
