//cell.h

#ifndef cell_h
#define cell_h

#include <stdio.h>

class Cell {

private:
	char status;
	int zoneUID;

public:
	//Constants denoting wall status
	//S = start, E = exit, X = wall, ' ' = walkable area
    enum { EMPTY = ' ', 
           GENERIC_WALL = 'X',
           START = 'S',
           EXIT = 'E'};
	
	//constructors
	Cell ();
        ~Cell() { printf(".c.");}

	//accessor/modifier pairs (getters and setters)
	char getStatus ();
	void setStatus (char s);
	int getZoneUID ();
	void setZoneUID (int uid);
//	Cell& operator= (Cell* a);
};

#endif